! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

  module G04M
    implicit none
    public :: Sandpaper
  contains
    subroutine Sandpaper( Fun_Val )
      integer, intent(in) :: Fun_Val
      character (len = Fun_Val) :: Blanks
  ! start subroutine Sandpaper
      Blanks = ""
      write (unit = *, fmt = *) Blanks, "*"
      return
    end subroutine Sandpaper
  end module G04M
